symmetrize
==========

![PyPI version](https://img.shields.io/pypi/v/symmetrize.svg) ![Travis CI build Status](https://www.travis-ci.org/RealPolitiX/symmetrize.svg) [![Downloads](https://pepy.tech/badge/symmetrize)](https://pepy.tech/project/symmetrize)



Symmetrization of 2D pattern using nonrigid landmark registration with symmetry constraints. Implemented registration methods include [projective transform](https://en.wikipedia.org/wiki/Homography) and [thin plate spline](https://en.wikipedia.org/wiki/Thin_plate_spline). Details are given in the [publication](https://arxiv.org/abs/1901.00312) associated with the package.

![Banner](https://github.com/RealPolitiX/symmetrize/blob/master/resources/figures/RepoFig.png)


### Installation

1. Install the PyPI version

    <pre><code class="console"> pip install symmetrize
    </code></pre>

2. Install the latest version from source repository

    <pre><code class="console"> pip install git+https://github.com/RealPolitiX/symmetrize.git
    </code></pre>


### Requirements

See [requirements](https://github.com/RealPolitiX/symmetrize/blob/master/requirements.txt)


### Documentation and use

Documentation of the package may be found [here](https://realpolitix.github.io/symmetrize/html/index.html) along with examples illustrating the main functionalities in [here](https://github.com/RealPolitiX/symmetrize/tree/master/examples).